/* This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
 */
#ifndef HS_IO_CTL_A_WS0_3_H
#define HS_IO_CTL_A_WS0_3_H

















#include "gpio.h"

#define GPIO_CAM_PWDN        GPIO_0
#define GPIO_I2C_1_SDA       GPIO_1
#define GPIO_I2C_1_SCL       GPIO_2
#define GPIO_CAM_RST         GPIO_3
#define GPIO_BT_RST          GPIO_16
#define GPIO_MENU_KEY        GPIO_17
#define GPIO_BACK_KEY        GPIO_18
#define GPIO_UP_KEY          GPIO_19
#define GPIO_HOME_KEY        GPIO_20
#define GPIO_I2C_0_SDA       GPIO_22
#define GPIO_WL_WAKE_B       GPIO_23
#define GPIO_RF_SW_ON        GPIO_26
#define GPIO_USB_EAR         GPIO_27
#define GPIO_CARD_DETB       GPIO_28
#define GPIO_QSD_WAKES_BT    GPIO_29
#define GPIO_REG_ON          GPIO_30
#define GPIO_WL_WAKE_N
#define GPIO_PHOTO_VCC       GPIO_31
#define GPIO_PHOTO_ON        GPIO_32
#define GPIO_GPS_REG_CNT     GPIO_33
#define GPIO_I2C_0_SCL       GPIO_34
#define GPIO_SLIDE           GPIO_35
#define GPIO_VOL_UP_KEY      GPIO_36
#define GPIO_VOL_DOWN_KEY    GPIO_37
#define GPIO_TALK_KEY        GPIO_38
#define GPIO_OK1_KEY         GPIO_39
#define GPIO_CN262_29
#define GPIO_TC_DVDD_CNT     GPIO_42
#define GPIO_LCD2_SPICLK     GPIO_47
#define GPIO_LCD2_SPISO      GPIO_48
#define GPIO_LCD2_SPICSO     GPIO_49
#define GPIO_LCD2_SPISI      GPIO_50
#define GPIO_VDD_GBNAND_ON   GPIO_59
#define GPIO_LCD1_RST        GPIO_61
#define GPIO_TP0_RST         GPIO_72
#define GPIO_TP1_RST         GPIO_73
#define GPIO_I2C_3_SCL       GPIO_74
#define GPIO_I2C_3_SDA       GPIO_75
#define GPIO_DOWN_KEY        GPIO_76
#define GPIO_PLOXIMITY_ON
#define GPIO_LEFT_KEY        GPIO_77
#define GPIO_PHOTO_ON
#define GPIO_I2C_5_SCL       GPIO_78
#define GPIO_I2C_5_SDA       GPIO_79
#define GPIO_WL_RST_N        GPIO_80
#define GPIO_ES1_SHTDWN      GPIO_81
#define GPIO_RIGHT_KEY       GPIO_82
#define GPIO_PA_ON1          GPIO_83
#define GPIO_TC_NRST         GPIO_84
#define GPIO_TC_SHTDWN       GPIO_85
#define GPIO_UART3_RX        GPIO_86
#define GPIO_UART3_TX        GPIO_87
#define GPIO_LCD2_RST        GPIO_94
#define GPIO_JDET_INT        GPIO_97
#define GPIO_CAM_VDDAF_CNT   GPIO_98
#define GPIO_LED_EN1         GPIO_99
#define GPIO_LCD1_VSYNC      GPIO_100
#define GPIO_VIEW_KEY        GPIO_101
#define GPIO_I2C_6_SDA       GPIO_102
#define GPIO_I2C_6_SCL       GPIO_103
#define GPIO_USB_TCXO_ON     GPIO_104
#define GPIO_CAM_FLASH_SET   GPIO_105
#define GPIO_ES0_SHTDWN      GPIO_107
#define GPIO_WL_HOST_WAKE_B  GPIO_141
#define GPIO_EAR_DET         GPIO_143
#define GPIO_USB_AUD_DET     GPIO_144
#define GPIO_OPEN_CLOSE_KEY  GPIO_145
#define GPIO_SPK_ON1         GPIO_146
#define GPIO_SPK_ON2         GPIO_147
#define GPIO_EAR_SW          GPIO_148
#define GPIO_TC_ORIENT       GPIO_149
#define GPIO_GS_RST          GPIO_150
#define GPIO_MIC_ON
#define GPIO_TC_MOTION       GPIO_153
#define GPIO_CAM_FLASH_EN    GPIO_154
#define GPIO_LED_EN2         GPIO_155
#define GPIO_CAM_FL1_IN      GPIO_156
#define GPIO_OK2_KEY         GPIO_157



#define HS_A_CAM_PWDN_HI() \
  gpio_direction_output( GPIO_CAM_PWDN, GPIO_HI )

#define HS_A_CAM_PWDN_LO() \
  gpio_direction_output( GPIO_CAM_PWDN, GPIO_LO )



#define HS_A_I2C_1_SDA_HI() \
  gpio_direction_output( GPIO_I2C_1_SDA, GPIO_HI )

#define HS_A_I2C_1_SDA_LO() \
  gpio_direction_output( GPIO_I2C_1_SDA, GPIO_LO )



#define HS_A_I2C_1_SCL_HI() \
  gpio_direction_output( GPIO_I2C_1_SCL, GPIO_HI )

#define HS_A_I2C_1_SCL_LO() \
  gpio_direction_output( GPIO_I2C_1_SCL, GPIO_LO )



#define HS_A_CAM_RST_HI() \
  gpio_direction_output( GPIO_CAM_RST, GPIO_HI )

#define HS_A_CAM_RST_LO() \
  gpio_direction_output( GPIO_CAM_RST, GPIO_LO )

















#define HS_A_BT_RST_HI() \
  gpio_direction_output( GPIO_BT_RST, GPIO_HI )

#define HS_A_BT_RST_LO() \
  gpio_direction_output( GPIO_BT_RST, GPIO_LO )



#define HS_A_LCD1_SPICLK_1_HI()
#define HS_A_LCD1_SPICLK_1_LO()



#define HS_A_I2C_0_SCL_HI() \
  gpio_direction_output( GPIO_I2C_0_SCL, GPIO_HI )

#define HS_A_I2C_0_SCL_LO() \
  gpio_direction_output( GPIO_I2C_0_SCL, GPIO_LO )



#define HS_A_LCD1_SPISO_1_HI()
#define HS_A_LCD1_SPISO_1_LO()



#define HS_A_LCD1_SPICSO_1_HI()
#define HS_A_LCD1_SPICSO_1_LO()






#define HS_A_I2C_0_SDA_HI() \
  gpio_direction_output( GPIO_I2C_0_SDA, GPIO_HI )

#define HS_A_I2C_0_SDA_LO() \
  gpio_direction_output( GPIO_I2C_0_SDA, GPIO_LO )



#define HS_A_WL_WAKE_B_HI() \
  gpio_direction_output( GPIO_WL_WAKE_B, GPIO_HI )

#define HS_A_WL_WAKE_B_LO() \
  gpio_direction_output( GPIO_WL_WAKE_B, GPIO_LO )









#define HS_A_RF_SW_ON_HI() \
  gpio_direction_output( GPIO_RF_SW_ON, GPIO_HI )

#define HS_A_RF_SW_ON_LO() \
  gpio_direction_output( GPIO_RF_SW_ON, GPIO_LO )



#define HS_A_USB_EAR_HI() \
  gpio_direction_output( GPIO_USB_EAR, GPIO_HI )

#define HS_A_USB_EAR_LO() \
  gpio_direction_output( GPIO_USB_EAR, GPIO_LO )



#define HS_A_IS_SDC_DET_ON    GPIO_LO

#define HS_A_IS_SDC_DET() \
  ( gpio_get_value( GPIO_CARD_DETB ) == HS_A_IS_SDC_DET_ON )



#define HS_A_QSD_WAKES_BT_HI() \
  gpio_direction_output( GPIO_QSD_WAKES_BT, GPIO_HI )

#define HS_A_QSD_WAKES_BT_LO() \
  gpio_direction_output( GPIO_QSD_WAKES_BT, GPIO_LO )



#define HS_A_REG_ON_HI() \
  gpio_direction_output( GPIO_REG_ON, GPIO_HI )

#define HS_A_REG_ON_LO() \
  gpio_direction_output( GPIO_REG_ON, GPIO_LO )



#define HS_A_WL_WAKE_N_HI()

#define HS_A_WL_WAKE_N_LO()



#define HS_A_PHOTO_VCC_HI() \
  gpio_direction_output( GPIO_PHOTO_VCC, GPIO_HI )

#define HS_A_PHOTO_VCC_LO() \
  gpio_direction_output( GPIO_PHOTO_VCC, GPIO_LO )



#define HS_A_PHOTO_ON_HI() \
  gpio_direction_output( GPIO_PHOTO_ON, GPIO_HI )

#define HS_A_PHOTO_ON_LO() \
  gpio_direction_output( GPIO_PHOTO_ON, GPIO_LO )



#define HS_A_GPS_REG_CNT_HI() \
  gpio_direction_output( GPIO_GPS_REG_CNT, GPIO_HI )

#define HS_A_GPS_REG_CNT_LO() \
  gpio_direction_output( GPIO_GPS_REG_CNT, GPIO_LO )



#define HS_A_IS_OK2_KEY_PRESS() \
  ( gpio_get_value( GPIO_OK2_KEY ) == GPIO_LO )



#define HS_A_IS_TALK_KEY_PRESS() \
  ( gpio_get_value( GPIO_TALK_KEY ) == GPIO_LO )



#define HS_A_IS_CAMERA_KEY_PRESS()  (0)



#define HS_A_PA_ON1_HI() \
  gpio_direction_output( GPIO_PA_ON1, GPIO_HI )

#define HS_A_PA_ON1_LO() \
  gpio_direction_output( GPIO_PA_ON1, GPIO_LO )



#define HS_A_SLIDE_OPEN   GPIO_HI
#define HS_A_SLIDE_CLOSE  GPIO_LO

#define HS_A_IS_SLIDE_OPEN() \
  ( gpio_get_value( GPIO_SLIDE ) == HS_A_SLIDE_OPEN )

#define HS_A_IS_SLIDE_CLOSE() \
  ( gpio_get_value( GPIO_SLIDE ) == HS_A_SLIDE_CLOSE )



#define HS_A_IS_VOL_UP_KEY_PRESS() \
  ( gpio_get_value( GPIO_VOL_UP_KEY ) == GPIO_LO )



#define HS_A_IS_VOL_DOWN_KEY_PRESS() \
  ( gpio_get_value( GPIO_VOL_DOWN_KEY ) == GPIO_LO )



#define HS_A_IS_HOME_KEY_PRESS() \
  ( gpio_get_value( GPIO_HOME_KEY ) == GPIO_LO )



#define HS_A_IS_BACK_KEY_PRESS() \
  ( gpio_get_value( GPIO_BACK_KEY ) == GPIO_LO )








#define HS_A_IS_MDDI_NOT_CONNECT()



#define HS_A_TC_DVDD_CNT_HI() \
  gpio_direction_output( GPIO_TC_DVDD_CNT, GPIO_HI )

#define HS_A_TC_DVDD_CNT_LO() \
  gpio_direction_output( GPIO_TC_DVDD_CNT, GPIO_LO )



#define HS_A_LCD2_SPICLK_HI() \
  gpio_direction_output( GPIO_LCD2_SPICLK, GPIO_HI )

#define HS_A_LCD2_SPICLK_LO() \
  gpio_direction_output( GPIO_LCD2_SPICLK, GPIO_LO )



#define HS_A_GPIO_LCD2_SPISO_HI() \
  gpio_direction_output( GPIO_GPIO_LCD2_SPISO, GPIO_HI )

#define HS_A_GPIO_LCD2_SPISO_LO() \
  gpio_direction_output( GPIO_GPIO_LCD2_SPISO, GPIO_LO )



#define HS_A_GPIO_LCD2_SPICSO_HI() \
  gpio_direction_output( GPIO_GPIO_LCD2_SPICSO, GPIO_HI )

#define HS_A_GPIO_LCD2_SPICSO_LO() \
  gpio_direction_output( GPIO_GPIO_LCD2_SPICSO, GPIO_LO )



#define HS_A_GPIO_LCD2_SPISI_HI() \
  gpio_direction_output( GPIO_GPIO_LCD2_SPISI, GPIO_HI )

#define HS_A_GPIO_LCD2_SPISI_LO() \
  gpio_direction_output( GPIO_GPIO_LCD2_SPISI, GPIO_LO )
























#define HS_A_VDD_GBNAND_ON_HI() \
  gpio_direction_output( GPIO_VDD_GBNAND_ON, GPIO_HI )

#define HS_A_VDD_GBNAND_ON_LO() \
  gpio_direction_output( GPIO_VDD_GBNAND_ON, GPIO_LO )



#define HS_A_LCD1_RST_HI() \
  gpio_direction_output( GPIO_LCD1_RST, GPIO_HI )

#define HS_A_LCD1_RST_LO() \
  gpio_direction_output( GPIO_LCD1_RST, GPIO_LO )
















#define HS_A_TP0_RST_HI() \
  gpio_direction_output( GPIO_TP0_RST, GPIO_HI )

#define HS_A_TP0_RST_LO() \
  gpio_direction_output( GPIO_TP0_RST, GPIO_LO )



#define HS_A_TP1_RST_HI() \
  gpio_direction_output( GPIO_TP1_RST, GPIO_HI )

#define HS_A_TP1_RST_LO() \
  gpio_direction_output( GPIO_TP1_RST, GPIO_LO )



#define HS_A_PLOXIMITY_ON_HI()

#define HS_A_PLOXIMITY_ON_LO()



#define HS_A_I2C_3_SCL_HI() \
  gpio_direction_output( GPIO_I2C_3_SCL, GPIO_HI )

#define HS_A_I2C_3_SCL_LO() \
  gpio_direction_output( GPIO_I2C_3_SCL, GPIO_LO )



#define HS_A_I2C_3_SDA_HI() \
  gpio_direction_output( GPIO_I2C_3_SDA, GPIO_HI )

#define HS_A_I2C_3_SDA_LO() \
  gpio_direction_output( GPIO_I2C_3_SDA, GPIO_LO )



#define HS_A_I2C_2_SDA_HI()
#define HS_A_I2C_2_SDA_LO()



#define HS_A_I2C_2_SCL_HI()
#define HS_A_I2C_2_SCL_LO()



#define HS_A_I2C_5_SCL_HI() \
  gpio_direction_output( GPIO_I2C_5_SCL, GPIO_HI )

#define HS_A_I2C_5_SCL_LO() \
  gpio_direction_output( GPIO_I2C_5_SCL, GPIO_LO )



#define HS_A_I2C_5_SDA_HI() \
  gpio_direction_output( GPIO_I2C_5_SDA, GPIO_HI )

#define HS_A_I2C_5_SDA_LO() \
  gpio_direction_output( GPIO_I2C_5_SDA, GPIO_LO )



#define HS_A_WL_RST_N_HI() \
  gpio_direction_output( GPIO_WL_RST_N, GPIO_HI )

#define HS_A_WL_RST_N_LO() \
  gpio_direction_output( GPIO_WL_RST_N, GPIO_LO )



#define HS_A_ES1_SHTDWN_HI() \
  gpio_direction_output( GPIO_ES1_SHTDWN, GPIO_HI )

#define HS_A_ES1_SHTDWN_LO() \
  gpio_direction_output( GPIO_ES1_SHTDWN, GPIO_LO )



#define HS_A_IS_UP_KEY_PRESS() \
 ( gpio_get_value( GPIO_UP_KEY ) == GPIO_LO )



#define HS_A_WL_HOST_WAKE_B_HI() \
  gpio_direction_output( GPIO_WL_HOST_WAKE_B, GPIO_HI )

#define HS_A_WL_HOST_WAKE_B_LO() \
  gpio_direction_output( GPIO_WL_HOST_WAKE_B, GPIO_LO )



#define HS_A_TC_NRST_HI() \
  gpio_direction_output( GPIO_TC_NRST, GPIO_HI )

#define HS_A_TC_NRST_LO() \
  gpio_direction_output( GPIO_TC_NRST, GPIO_LO )



#define HS_A_TC_SHTDWN_HI() \
  gpio_direction_output( GPIO_TC_SHTDWN, GPIO_HI )

#define HS_A_TC_SHTDWN_LO() \
  gpio_direction_output( GPIO_TC_SHTDWN, GPIO_LO )







#define HS_A_REG_ON_2_HI()
#define HS_A_REG_ON_2_LO()



#define HS_A_TC_MOTION_HI() \
  gpio_direction_output( GPIO_TC_MOTION, GPIO_HI )

#define HS_A_TC_MOTION_LO() \
  gpio_direction_output( GPIO_TC_MOTION, GPIO_LO )











#define HS_A_LCD2_RST_HI() \
  gpio_direction_output( GPIO_LCD2_RST, GPIO_HI )

#define HS_A_LCD2_RST_LO() \
  gpio_direction_output( GPIO_LCD2_RST, GPIO_LO )







#define HS_A_JDET_INT_READ() \
  gpio_get_value( GPIO_JDET_INT )



#define HS_A_CAM_VDDAF_CNT_HI() \
  gpio_direction_output( GPIO_CAM_VDDAF_CNT, GPIO_HI )

#define HS_A_CAM_VDDAF_CNT_LO() \
  gpio_direction_output( GPIO_CAM_VDDAF_CNT, GPIO_LO )



#define HS_A_CAM_DVDD_CNT_HI()
#define HS_A_CAM_DVDD_CNT_LO()



#define HS_A_LED_EN1_HI() \
  gpio_direction_output( GPIO_LED_EN1, GPIO_HI )

#define HS_A_LED_EN1_LO() \
  gpio_direction_output( GPIO_LED_EN1, GPIO_LO )






#define HS_A_LED_EN2_HI() \
  gpio_direction_output( GPIO_LED_EN2, GPIO_HI )

#define HS_A_LED_EN2_LO() \
  gpio_direction_output( GPIO_LED_EN2, GPIO_LO )



#define HS_A_IS_OK1_KEY_PRESS() \
  ( gpio_get_value( GPIO_OK1_KEY ) == GPIO_LO )



#define HS_A_I2C_6_SDA_HI() \
  gpio_direction_output( GPIO_I2C_6_SDA, GPIO_HI )

#define HS_A_I2C_6_SDA_LO() \
  gpio_direction_output( GPIO_I2C_6_SDA, GPIO_LO )



#define HS_A_I2C_6_SCL_HI() \
  gpio_direction_output( GPIO_I2C_6_SCL, GPIO_HI )

#define HS_A_I2C_6_SCL_LO() \
  gpio_direction_output( GPIO_I2C_6_SCL, GPIO_LO )



#define HS_A_USB_TCXO_ON_HI() \
  gpio_direction_output( GPIO_USB_TCXO_ON, GPIO_HI )

#define HS_A_USB_TCXO_ON_LO() \
  gpio_direction_output( GPIO_USB_TCXO_ON, GPIO_LO )



#define HS_A_CAM_FLASH_SET_HI() \
  gpio_direction_output( GPIO_CAM_FLASH_SET, GPIO_HI )

#define HS_A_CAM_FLASH_SET_LO() \
  gpio_direction_output( GPIO_CAM_FLASH_SET, GPIO_LO )



#define HS_A_CAM_PDX_HI()
#define HS_A_CAM_PDX_LO()






#define HS_A_ES0_SHTDWN_HI() \
  gpio_direction_output( GPIO_ES0_SHTDWN, GPIO_HI )

#define HS_A_ES0_SHTDWN_LO() \
  gpio_direction_output( GPIO_ES0_SHTDWN, GPIO_LO )













































#define HS_A_IS_MENU_KEY_PRESS() \
  ( gpio_get_value( GPIO_MENU_KEY ) == GPIO_LO )



#define HS_A_IS_VIEW_KEY_PRESS() \
  ( gpio_get_value( GPIO_VIEW_KEY ) == GPIO_LO )



#define HS_A_IS_OPEN_CLOSE_KEY_PRESS() \
  ( gpio_get_value( GPIO_OPEN_CLOSE_KEY ) == GPIO_LO )



#define HS_A_SPK_ON1_HI() \
  gpio_direction_output( GPIO_SPK_ON1, GPIO_HI )

#define HS_A_SPK_ON1_LO() \
  gpio_direction_output( GPIO_SPK_ON1, GPIO_LO )



#define HS_A_SPK_ON2_HI() \
  gpio_direction_output( GPIO_SPK_ON2, GPIO_HI )

#define HS_A_SPK_ON2_LO() \
  gpio_direction_output( GPIO_SPK_ON2, GPIO_LO )



#define HS_A_IS_HEADSET_SW_ON() \
  ( gpio_get_value( GPIO_EAR_SW ) == GPIO_HI )



#define HS_A_IS_TC_ORIENT_HI() \
  ( gpio_get_value( GPIO_TC_ORIENT ) == GPIO_HI )

#define HS_A_IS_TC_ORIENT_LO() \
  ( gpio_get_value( GPIO_TC_ORIENT ) == GPIO_LO )



#define HS_A_IS_CAM_FLASH_EN_HI() \
  ( gpio_get_value( GPIO_CAM_FLASH_EN ) == GPIO_HI )

#define HS_A_IS_CAM_FLASH_EN_LO() \
  ( gpio_get_value( GPIO_CAM_FLASH_EN ) == GPIO_LO )



#define HS_A_TC_GPIO_HI() \
  gpio_direction_output( GPIO_TC_GPIO, GPIO_HI )

#define HS_A_TC_GPIO_LO() \
  gpio_direction_output( GPIO_TC_GPIO, GPIO_LO )



#define HS_A_GS_RST_HI() \
  gpio_direction_output( GPIO_GS_RST, GPIO_HI )

#define HS_A_GS_RST_LO() \
  gpio_direction_output( GPIO_GS_RST, GPIO_LO )










#define HS_A_IS_DOWN_KEY_PRESS() \
  ( gpio_get_value( GPIO_DOWN_KEY ) == GPIO_LO )



#define HS_A_IS_LEFT_KEY_PRESS() \
  ( gpio_get_value( GPIO_LEFT_KEY ) == GPIO_LO )



#define HS_A_IS_RIGHT_KEY_PRESS() \
  ( gpio_get_value( GPIO_RIGHT_KEY ) == GPIO_HI )



#define HS_A_IS_HEADSET_ON() \
  ( gpio_get_value( GPIO_EAR_DET ) == GPIO_LO )



#define HS_A_IS_USB_AUD_DET_LO() \
  ( gpio_get_value( GPIO_USB_AUD_DET ) == GPIO_LO )

#define HS_A_IS_USB_AUD_DET_HI() \
  ( gpio_get_value( GPIO_USB_AUD_DET ) == GPIO_HI )



#define HS_A_IS_CAM_FL1_IN_LO() \
  ( gpio_get_value( GPIO_CAM_FL1_IN ) == GPIO_LO )

#define HS_A_IS_CAM_FL1_IN_HI() \
  ( gpio_get_value( GPIO_CAM_FL1_IN ) == GPIO_HI )


















extern void hs_vreg_on_pm1(void);
extern void hs_vreg_off_pm1(void);

#define HS_SPEAKER_POWER_ON()   hs_vreg_on_pm1();
#define HS_SPEAKER_POWER_OFF()  hs_vreg_off_pm1();


#define HS_VDD_MIC_EN(on,grp)



#endif 
