﻿/* This software is contributed or developed by KYOCERA Corporation.
 * (C) 2011 KYOCERA Corporation
 */

#ifndef __PROC_COMM_KYOCERA_H__
#define __PROC_COMM_KYOCERA_H__





















#define PROC_COMM_SUB_CMD_BASE                      0
#define PROC_COMM_SUB_CMD_GET_L_SENSOR_V            1
#define PROC_COMM_SUB_CMD_TOUCHPANEL_UP             2
#define PROC_COMM_SUB_CMD_TOUCHPANEL_DOWN           3

#define PROC_COMM_SUB_CMD_GET_L_ACC_CALIB_X         4
#define PROC_COMM_SUB_CMD_GET_L_ACC_CALIB_Y         5
#define PROC_COMM_SUB_CMD_GET_L_ACC_CALIB_Z         6

#define PROC_COMM_SUB_CMD_VDD_MIC_EN                7
#define PROC_COMM_SUB_CMD_LED_CONTROL_1             8
#define PROC_COMM_SUB_CMD_LED_CONTROL_2             9
#define PROC_COMM_SUB_CMD_READ_INTERNAL_HW_VERSION  10
#define PROC_COMM_SUB_CMD_PRXMTY_CTL_CHG            11


#define PROC_COMM_SUB_CMD_TP_CTL_CHG                12

#define PROC_COMM_SUB_CMD_GET_USB_SERIALNO          13

#define PROC_COMM_SUB_CMD_UPDATE_DEV_INFO_LCD         14
#define PROC_COMM_SUB_CMD_UPDATE_DEV_INFO_CAM         15
#define PROC_COMM_SUB_CMD_UPDATE_DEV_INFO_SND         16
#define PROC_COMM_SUB_CMD_UPDATE_DEV_INFO_WLAN        17

#define PROC_COMM_SUB_CMD_READ_EXTERNAL_HW_VERSION  18
#define PROC_COMM_SUB_CMD_GET_UPTIME_SECS           19

#define PROC_COMM_SUB_CMD_GET_USERTIME_OFFSET_SEC   20
#define PROC_COMM_SUB_CMD_GET_USERTIME_OFFSET_NSEC  21
#define PROC_COMM_SUB_CMD_SET_USERTIME_OFFSET_SEC   22
#define PROC_COMM_SUB_CMD_SET_USERTIME_OFFSET_NSEC  23
#define PROC_COMM_SUB_CMD_GET_USERTIME_SETTING      24
#define PROC_COMM_SUB_CMD_SET_USERTIME_SETTING      25



int proc_comm_rpc_apps_to_modem(unsigned sub_cmd, unsigned *data);



#define HS_VDD_MIC_DISABLE 0
#define HS_VDD_MIC_ENABLE 1


#define HS_VDD_MIC_GID_DEVICE 0
#define HS_VDD_MIC_GID_MEDIA  1
#define HS_VDD_MIC_GID_MAX    2

int proc_comm_vdd_mic_en(unsigned on, unsigned grp);




#define PROXIMITY_CTL_CHG_TO_APP   1
#define PROXIMITY_CTL_CHG_TO_MODEM 2


#endif 
